Page MenuHomePhabricator

Add SmashPig config to settings repo
Closed, DeclinedPublic1 Estimated Story Points

Description

The git repo for paymentswiki LocalSettings makes things so much less stressful! Can we have the same thing for SmashPig's config.php?

EDIT: Changing name to reflect Jeff's suggestion.
Also update diff & place files scripts to work with multiple projects

Event Timeline

Ejegg created this task.Mar 11 2016, 10:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2016, 10:31 PM

Would it make sense to change how we use that localsettings repo to
include smashpig and other config as well, so it would be more of a 'local
settings' repo than "payments/.*LocalSettings.*"?

Ejegg renamed this task from Create local git repo for SmashPig config to Add SmashPig config to settings repo.Apr 11 2016, 8:50 PM
Ejegg updated the task description. (Show Details)
Ejegg set the point value for this task to 1.
DStrine triaged this task as Medium priority.Apr 12 2016, 8:13 PM
Jgreen changed the task status from Open to Stalled.Jun 3 2016, 5:14 PM
Jgreen lowered the priority of this task from Medium to Low.
Jgreen added a subtask: Restricted Task.

This means moving it from modules/fundraising/manifests/smashpig.pp to localsettings/SmashPig/conf(?)/SmashPig.yaml. Smashpig will need to be reconfigured to look for it there rather than in /etc/fundraising.

Jgreen closed this task as Declined.May 15 2017, 7:41 PM

Once we solve T147503 the puppet-deployed config is easily templated from private variables.

Jgreen closed subtask Restricted Task as Resolved.Tue, Feb 23, 3:07 PM